Update user avatar

Allows uploading an image file to replace a user's avatar image

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

This is a background process

As we perform processing on the uploaded image to ensure it's compatible/optimized for various clients, this endpoint will return a 202 (Accepted) response as long everything looks good to start. The processing may fail silently in the background. If you want to be completely sure this process has completed, you can poll the GET /users/:id endpoint and watch for the avatar field to change.

In practice, the processing should be complete and committed on the order of minutes, but may take up to an hour depending on other system load.

Path Params
required

One of the following:

  • The integer uniquely associated with a user
  • |
    A pair consisting of an External ID Namespace and an External ID, separated by a : character.
    The Namespace component may not contain the characters : or /.
Body Params
file

The image file content

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*